//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Skybox
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_filter/skyyy
{
	qer_editorimage textures/aadel_filter/env/horizon_up.tga
        qer_trans 0.99

	q3map_backsplash 0 0
	q3map_lightmapFilterRadius 	0 2 	//0 4

	//q3map_sunExt 	0.9058 0.698 0.4 280 91 12 1 8	// R G B Intensity Degrees Elevation Deviance Samples
	q3map_sunExt 	0.9058 0.698 0.4 280 90 12 1 16	// R G B Intensity Degrees Elevation Deviance Samples

	q3map_skyLight 	220 8	//220 8 (turns out there's no maximum # of itirations, at the expense of compile time)

	//q3map_lightRGB 	0.94 0.91 0.85 		//1 1 1
	q3map_lightRGB		0.736 0.854 1

	q3map_noFog
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	skyparms textures/aadel_filter/env/horizon 2048 -

	nopicmip
	nomipmaps
}
textures/aadel_filter/sky_water
{
	qer_editorimage textures/aadel_derelict/del_water001.tga
	qer_trans 0.5
	q3map_globaltexture
	q3map_fancywater 6 0.4 0.4 0.4		//parameters do nothing
	//q3map_cheapwater 6 0.4 0.4 0.4	//wave size, R, B, G 

	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	cull none

	sort 5
	{ 
		map textures/aadel_derelict/del_water001.tga
		blendFunc blend
		alphaGen const 0.35
		tcmod scale 0.9 1.1
		tcmod scroll 0.005 0.01
		tcmod turb 0 0.01 0.5 0.01
		//tcmod scroll 0.075 0.1
		//tcmod turb 0 0.3 0.5 0.1
	}
	{ 
		map textures/aadel_derelict/del_water001a.tga
		blendFunc blend
		alphaGen const 0.45
		tcMod turb 0 0.01 0 0.01
		tcmod scroll 0.01 0.005
		//tcMod turb 0 0.25 0 0.09
		//tcmod scroll 0.35 0.075
	}
	{
		map textures/aadel_filter/env/horizon_dn.tga	
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
}

textures/aadel_filter/window_roof_trans
{
	qer_editorimage textures/aadel_pipeline/njc_windows_3.tga
	qer_trans 0.60
	q3map_lightRGB 0.9058 0.698 0.4
	q3map_bounceScale 0.4
	q3map_surfacelight 200

	surfaceparm trans
	//surfaceparm alphashadow
	surfaceparm nomarks
	sort 8

	cull none
	nopicmip
	{
		map textures/aadel_pipeline/njc_windows_3.tga
		blendFunc blend
	    	alphaGen const 0.2
		rgbgen identity
		//depthwrite
	}
	{
		map $lightmap
		blendfunc filter
	}
}
//textures/aadel_filter/strobe
//{
//	q3map_forceMeta
//	q3map_vertexscale 0.6
//	surfaceparm nomarks
//	q3map_surfacelight 50
//	//q3map_lightsubdivide 64
//	{
//		map textures/aadel_filter/strobe.tga
//	}
//	{
//		map textures/aadel_filter/strobe_add.tga
//		blendfunc add
//	}
//}
textures/aadel_filter/strobe_glass_on
{
	qer_editorimage textures/aadel_derelict/strobe_glass.tga
	q3map_forceMeta
	q3map_vertexscale 0.6
	surfaceparm nomarks
	q3map_surfacelight 100
	q3map_lightsubdivide 64
	{
		map textures/aadel_filter/strobe_glass.tga
		rgbgen const ( 0.3 0.3 0.3 )
	}
	{
		map textures/aadel_filter/strobe_glass_add.tga
		blendfunc add
	}
}
textures/aadel_filter/decal_barb
{
	qer_editorimage textures/aadel_derelict/barb.tga
	qer_trans 0.5
	qer_alphaFunc gequal 0.5

	q3map_cloneshader textures/aadel_filter/decal_barb_back
	nopicmip
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodlight
	//cull none
    	{
		map textures/aadel_derelict/barb.tga
		//alphafunc ge128	//looks fucking shit
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}
textures/aadel_filter/decal_barb_back
{
	qer_editorimage textures/aadel_derelict/barb.tga
	qer_trans 0.5
	qer_alphaFunc gequal 0.5

	q3map_invert
	nopicmip
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodlight
	//cull none
	sort 9
    	{
		map textures/aadel_derelict/barb.tga
		//alphafunc ge128	//looks fucking shit
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Levelshot hax
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
levelshots/ut4_filter_b3
{
	nopicmip
	nomipmaps
        {
                map levelshots/ut4_filter_b3.tga
        }
	//{
       	//	map levelshots/ut4_filter_b2_2.tga
	//	blendFunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	//	alphaGen	wave sin 0 1 1 0.04
	//}	
}